Kea: isc::util::io::internal Namespace Reference

| Kea 3.2.0-git

isc::util::io::internal Namespace Reference

## Functions
struct in6_pktinfo * | convertPktInfo6 (char *pktinfo)
struct in6_pktinfo * | convertPktInfo6 (unsigned char *pktinfo)
template<typename SAType>
const struct sockaddr * | convertSockAddr (const SAType *sa)
template<typename SAType>
const SAType * | convertSockAddr (const struct sockaddr *sa)
template<typename SAType>
struct sockaddr * | convertSockAddr (SAType *sa)
template<typename SAType>
SAType * | convertSockAddr (struct sockaddr *sa)
socklen_t | getSALength (const struct sockaddr &sa)

## Function Documentation

## ◆ convertPktInfo6() [1/2]

struct in6_pktinfo * isc::util::io::internal::convertPktInfo6 | ( | char * | pktinfo | ) |
| inline

Definition at line 27 of file pktinfo_utilities.h.

Referenced by isc::dhcp::PktFilterInet6::receive(), and isc::dhcp::PktFilterInet6::send().

## ◆ convertPktInfo6() [2/2]

struct in6_pktinfo * isc::util::io::internal::convertPktInfo6 | ( | unsigned char * | pktinfo | ) |
| inline

Definition at line 32 of file pktinfo_utilities.h.

## ◆ convertSockAddr() [1/4]

template<typename SAType>

const struct sockaddr * isc::util::io::internal::convertSockAddr | ( | const SAType * | sa | ) |

Definition at line 41 of file sockaddr_util.h.

## ◆ convertSockAddr() [2/4]

template<typename SAType>

const SAType * isc::util::io::internal::convertSockAddr | ( | const struct sockaddr * | sa | ) |

Definition at line 48 of file sockaddr_util.h.

## ◆ convertSockAddr() [3/4]

template<typename SAType>

struct sockaddr * isc::util::io::internal::convertSockAddr | ( | SAType * | sa | ) |

Definition at line 55 of file sockaddr_util.h.

## ◆ convertSockAddr() [4/4]

template<typename SAType>

SAType * isc::util::io::internal::convertSockAddr | ( | struct sockaddr * | sa | ) |

Definition at line 62 of file sockaddr_util.h.

## ◆ getSALength()

socklen_t isc::util::io::internal::getSALength | ( | const struct sockaddr & | sa | ) |
| inline

Definition at line 26 of file sockaddr_util.h.

References isc_throw_assert.